Bug Hunting Session
Bug 31798 - One of the user dictionaries is named "oracle"
Summary: One of the user dictionaries is named "oracle"
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Linguistic (show other bugs)
Version:
(earliest affected)
3.3.0 Beta3
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-20 14:16 UTC by Jean-Baptiste Faure
Modified: 2011-01-24 10:25 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Patch 1/2 - bootstrap part (1.85 KB, patch)
2010-12-31 01:12 UTC, Kami
Details
Patch 2/2 - Extras part (7.83 KB, patch)
2010-12-31 01:13 UTC, Kami
Details
Patch 1/2 - another solution - extras part (8.29 KB, patch)
2011-01-05 07:53 UTC, Petr Mladek
Details
Patch 2/2 - another solution - libs-core part (1.33 KB, patch)
2011-01-05 07:53 UTC, Petr Mladek
Details
Go technical.dic, go (part 1/2) (1.16 KB, patch)
2011-01-22 08:46 UTC, Kami
Details
Go technical.dic, go (part 2/2) (724 bytes, patch)
2011-01-22 08:46 UTC, Kami
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jean-Baptiste Faure 2010-11-20 14:16:21 UTC
As said in the summary. Probably this dictionary is the one that was known as Sun in legacy versions of OOo.

Steps to reproduce:
- Menu Tools > Options > Language settings > Writing aids
- at the end of the user-defined dictionaries list you can find a dictionary named "oracle"

Regards. JBF
Comment 1 sophie 2010-12-30 22:47:59 UTC
Please remove the Oracle wordbook from the product. First, we don't care about Oracle reserved words. Second it prevents some local to get some words corrected like Éducation in French.
They are located 
/LibreOffice 3/Basis/share/wordbook/en-US/oracle.dic
and also in the same fr directory. Thanks!
Comment 2 Kami 2010-12-31 01:12:46 UTC
Created attachment 41543 [details]
Patch 1/2 - bootstrap part
Comment 3 Kami 2010-12-31 01:13:26 UTC
Created attachment 41544 [details]
Patch 2/2 - Extras part
Comment 4 Kami 2010-12-31 01:14:16 UTC
Here is a patch to review to remove that file.
Comment 5 Petr Mladek 2011-01-05 07:31:20 UTC
Hmm, the change would break the Novell.dic integration, see
http://cgit.freedesktop.org/libreoffice/build/tree/patches/dev300/corporate-dictionary.diff?h=libreoffice-3-3

KAMI, is there any chance to replace oracle.dic with Novell.dic?

Novell.dic includes just names of the Novell products. They are the same in all languages, so it should not cause any harm. See
http://cgit.freedesktop.org/libreoffice/build/tree/src/Novell.dic?h=libreoffice-3-3
Comment 6 Petr Mladek 2011-01-05 07:53:23 UTC
Created attachment 41665 [details]
Patch 1/2 - another solution - extras part
Comment 7 Petr Mladek 2011-01-05 07:53:50 UTC
Created attachment 41666 [details]
Patch 2/2 - another solution - libs-core part
Comment 8 Petr Mladek 2011-01-21 13:31:43 UTC
KAMI, what is the status here?

I thought that there were some commits for the technical.dic in the libreoffice-3-3 branch. Though, there is still the oracle.dic in /opt/libreoffice/basis3.3/share/wordbook in 3.3rc4 packages.
Comment 9 Kami 2011-01-22 08:46:25 UTC
Created attachment 42310 [details]
Go technical.dic, go (part 1/2)
Comment 10 Kami 2011-01-22 08:46:51 UTC
Created attachment 42311 [details]
Go technical.dic, go (part 2/2)
Comment 11 Kami 2011-01-22 08:47:49 UTC
It is time to replace oracle.dic with technical.dic. Patch attached, please review it.
Comment 12 Petr Mladek 2011-01-24 10:25:20 UTC
The patches were fine, so I pushed them to the libreoffice-3-3 branch for LO-3.3.1 release.

Let's mark this bug as fixed. Of course, we will improve the technical.dic in the future but...